Inhalte

# Funktion GetPathSeparator

Gibt den betriebssystemabhängigen Verzeichnisseparator zurück, mit dem Dateipfade festgelegt werden.

### Syntax:

GetPathSeparator()

### Rückgabetyp:

String

- "\" Windows

- "/" UNIX, einschließlich macOS

### Parameter:

Keiner.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

            Sub ExampleGetPathSeparator
                MsgBox GetPathSeparator()
            End Sub

Anweisungen für Wiser-Skripte finden Sie auf der Hilfeseite Identifizierung des Betriebssystems.

• Der Dienst ScriptForge.Platform bietet eine Sammlung von Eigenschaften zur aktuellen Ausführungsumgebung und zum Kontext, einschließlich der Plattformerkennung.
• Eine umfassende Identifizierung des Betriebssystemnamens ist über die Berechnungsformel INFO("system") verfügbar.

Verwandte Themen

Es wird empfohlen, zu verwenden:

Funktion ConvertFromURL zum Konvertieren einer Datei-URL in einen Systemdateinamen.

Funktion ConvertToURL zum Konvertieren eines Systemdateinamens in eine Datei-URL.

Siehe auch URL-Schreibweise